variable "libvirt_disk_path" {
  description = "path for libvirt pool"
  default     = "/mnt/data1/libvirt_tf_volumes"
  #default     = "/opt/kvm/pool1"
}

variable "ubuntu_18_img_url" {
  description = "ubuntu 18.04 image"
  default     = "http://cloud-images.ubuntu.com/releases/bionic/release-20191008/ubuntu-18.04-server-cloudimg-amd64.img"
}

variable "ubuntu_20_img_url" {
  description = "ubuntu 20.04 image"
  #default     = "https://cloud-images.ubuntu.com/releases/focal/release/ubuntu-20.04-server-cloudimg-amd64.img"
  default     = "/home/tobias/projects/terraform-libvirt/ubuntu-20.04-server-cloudimg-amd64.img"
}

variable "vm_disk_size" {
  description = "size of the disk of the virtual machine"
  default     = 21549672960 
}

variable "vm_name" {
  description = "vm name"
  default     = "tf-k8s-master"
}

variable "vm_hostname" {
  description = "vm hostname"
  default     = "k8smaster"
}

variable "slaves" {
  type = number
  default = 3
}

variable "vm_slave_name" {
  description = "vm slave name"
  default     = "tf-k8s-slave"
}

variable "vm_slave_hostname" {
  description = "vm slave hostname"
  default     = "k8sslave"
}

variable "ssh_username" {
  description = "the ssh user to use"
  default     = "ubuntu"
}

variable "ssh_private_key" {
  description = "the private key to use"
  default     = "~/.ssh/id_rsa"
}
